Module java.management
Package javax.management.relation

## Class RoleStatus

- java.lang.Object
- - javax.management.relation.RoleStatus

    public class RoleStatus
    extends Object

This class describes the various problems which can be encountered when accessing a role.

Since:
  1.5

### Field Summary

Fields
`static int` `LESS_THAN_MIN_ROLE_DEGREE` Problem type when trying to set a role value with less ObjectNames than the minimum expected cardinality.
`static int` `MORE_THAN_MAX_ROLE_DEGREE` Problem type when trying to set a role value with more ObjectNames than the maximum expected cardinality.
`static int` `NO_ROLE_WITH_NAME` Problem type when trying to access an unknown role.
`static int` `REF_MBEAN_NOT_REGISTERED` Problem type when trying to set a role value including the ObjectName of a MBean not registered in the MBean Server.
`static int` `REF_MBEAN_OF_INCORRECT_CLASS` Problem type when trying to set a role value including the ObjectName of a MBean not of the class expected for that role.
`static int` `ROLE_NOT_READABLE` Problem type when trying to read a non-readable attribute.
`static int` `ROLE_NOT_WRITABLE` Problem type when trying to update a non-writable attribute.

### Constructor Summary

Constructors
`RoleStatus()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isRoleStatus​(int status)` Returns true if given value corresponds to a known role status, false otherwise.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_ROLE_WITH_NAME

    public static final int NO_ROLE_WITH_NAME

Problem type when trying to access an unknown role.

See Also:
  Constant Field Values

#### ROLE_NOT_READABLE

    public static final int ROLE_NOT_READABLE

Problem type when trying to read a non-readable attribute.

See Also:
  Constant Field Values

#### ROLE_NOT_WRITABLE

    public static final int ROLE_NOT_WRITABLE

Problem type when trying to update a non-writable attribute.

See Also:
  Constant Field Values

#### LESS_THAN_MIN_ROLE_DEGREE

    public static final int LESS_THAN_MIN_ROLE_DEGREE

Problem type when trying to set a role value with less ObjectNames than the minimum expected cardinality.

See Also:
  Constant Field Values

#### MORE_THAN_MAX_ROLE_DEGREE

    public static final int MORE_THAN_MAX_ROLE_DEGREE

Problem type when trying to set a role value with more ObjectNames than the maximum expected cardinality.

See Also:
  Constant Field Values

#### REF_MBEAN_OF_INCORRECT_CLASS

    public static final int REF_MBEAN_OF_INCORRECT_CLASS

Problem type when trying to set a role value including the ObjectName of a MBean not of the class expected for that role.

See Also:
  Constant Field Values

#### REF_MBEAN_NOT_REGISTERED

    public static final int REF_MBEAN_NOT_REGISTERED

Problem type when trying to set a role value including the ObjectName of a MBean not registered in the MBean Server.

See Also:
  Constant Field Values

### Constructor Detail

#### RoleStatus

    public RoleStatus()

### Method Detail

#### isRoleStatus

    public static boolean isRoleStatus​(int status)

Returns true if given value corresponds to a known role status, false otherwise.

Parameters:
  `status` - a status code.
Returns:
  true if this value is a known role status.